import {
    Pipe,
    PipeTransform
} from '@angular/core';


@Pipe({
    name: 'totime'
})
export class ToTimePipe implements PipeTransform {

    transform(offset: number, base: string): number {
        let recorded = new Date(base + 'Z');
        let result = new Date(recorded.getTime() + offset * 1000);
        let ref = new Date(result.getTime());
        ref.setHours(0, 0, 0, 0);
        return (result.getTime() - ref.getTime()) / 1000 >> 0;
    }
}
